Skip to content

Send synchronizer heartbeat

Request

Report synchronizer health and metrics

Security
bearer
Bodyapplication/jsonrequired
deviceIdstringrequired

Device identifier

Example:"DEVICE-ABC-123"
siteIdnumberrequired

Site ID

Example:1
statusstringrequired

Synchronizer status

Enum:"healthy""degraded""error"
Example:"healthy"
lastSyncTimestring, (date-time)

Last successful sync time

Example:"2021-08-01T00:00:00.000Z"
errorCountnumber

Number of errors in current session

Example:0
metricsobject

Additional metrics

curl -i -X POST \
  https://docs.axiomera.com/_mock/apis/authentication/openapi/auth/synchronizer/heartbeat \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "deviceId": "DEVICE-ABC-123",
    "siteId": 1,
    "status": "healthy",
    "lastSyncTime": "2021-08-01T00:00:00.000Z",
    "errorCount": 0,
    "metrics": {}
  }'

Responses

Heartbeat acknowledged